openapi: 3.0.3
info:
  title: 'TalkLabel API'
  description: TalkLabelが提供するAPIのドキュメントです。
  version: 1.0.0
servers:
  -
    url: 'https://app.talklabel.com'
paths:
  /api/v1/pagination/object:
    get:
      summary: Paginationオブジェクト
      operationId: pagination
      description: '各オブジェクトを一覧取得した際、戻り値は<a href="#pagination-GETapi-v1-pagination-object">Paginationオブジェクト</a>を介して取得されます。<br> 一覧取得APIは共通して以下のページネーションを返却し、各種オブジェクトは直近で生成された順番に取得されます。'
      parameters: []
      responses:
        200:
          description: Paginationオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  current_page: 1
                  data: []
                  links:
                    first: 'api/v1/channels?page=1'
                    last: 'api/v1/channels?page=1'
                    prev: null
                    next: null
                  meta:
                    current_page: 1
                    from: 1
                    last_page: 1
                    links:
                      -
                        url: null
                        label: '&laquo; 前'
                        active: false
                      -
                        url: 'api/v1/channels?page=1'
                        label: '1'
                        active: true
                      -
                        url: null
                        label: '次 &raquo;'
                        active: false
                    path: api/v1/channels
                    per_page: 50
                    to: 1
                    total: 1
                properties:
                  current_page:
                    type: integer
                    example: 1
                    description: 現在のページ番号
                  data:
                    type: array
                    example: []
                    description: リソースオブジェクトの配列
                  links:
                    type: object
                    properties:
                      first:
                        type: string
                        example: 'api/v1/channels?page=1'
                      last:
                        type: string
                        example: 'api/v1/channels?page=1'
                      prev:
                        type: string
                        example: null
                      next:
                        type: string
                        example: null
                  meta:
                    type: object
                    properties:
                      current_page:
                        type: integer
                        example: 1
                      from:
                        type: integer
                        example: 1
                      last_page:
                        type: integer
                        example: 1
                      links:
                        type: array
                        example:
                          -
                            url: null
                            label: '&laquo; 前'
                            active: false
                          -
                            url: 'api/v1/channels?page=1'
                            label: '1'
                            active: true
                          -
                            url: null
                            label: '次 &raquo;'
                            active: false
                        items:
                          type: object
                          properties:
                            url:
                              type: string
                              example: null
                            label:
                              type: string
                              example: '&laquo; 前'
                            active:
                              type: boolean
                              example: false
                      path:
                        type: string
                        example: api/v1/channels
                      per_page:
                        type: integer
                        example: 50
                      to:
                        type: integer
                        example: 1
                      total:
                        type: integer
                        example: 1
      tags:
        - 各Objectの説明
      security: []
  /api/v1/user/object:
    get:
      summary: Userオブジェクト
      operationId: user
      description: ''
      parameters: []
      responses:
        200:
          description: Userオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  uuid: 2e0472d0-4ab7-4ac7-840c-9c896e192224
                  email: demo1@example.com
                  email_verified_at: '2024-01-01T00:00:00.000000Z'
                  name: デモユーザー1
                  phone_number: 090-1234-5678
                  postal_code: 123-4567
                  prefecture: 東京都
                  address: 山本町佐藤10-8-5
                  building: ハイツ山田106号
                  tmp_special_invitation_code: '123456789'
                  link_code: ''
                  line_user_id: U0f5927464f4589fd98635acaf983f523
                  line_display_name: LINEユーザー名
                  is_settlement: 1
                  extra_query_param: hoge=test
                properties:
                  uuid:
                    type: string
                    example: 2e0472d0-4ab7-4ac7-840c-9c896e192224
                    description: 一意に識別するためのUUID
                  email:
                    type: string
                    example: demo1@example.com
                    description: メールアドレス
                  email_verified_at:
                    type: string
                    example: '2024-01-01T00:00:00.000000Z'
                    description: メールアドレス認証実行日時
                  name:
                    type: string
                    example: デモユーザー1
                    description: 名前
                  phone_number:
                    type: string
                    example: 090-1234-5678
                    description: 電話番号
                  postal_code:
                    type: string
                    example: 123-4567
                    description: 郵便番号
                  prefecture:
                    type: string
                    example: 東京都
                    description: 都道府県
                  address:
                    type: string
                    example: 山本町佐藤10-8-5
                    description: 住所
                  building:
                    type: string
                    example: ハイツ山田106号
                    description: 建物名
                  tmp_special_invitation_code:
                    type: string
                    example: '123456789'
                    description: 仮登録時の特別招待コード
                  link_code:
                    type: string
                    example: ''
                    description: スマートフォン連携コード
                  line_user_id:
                    type: string
                    example: U0f5927464f4589fd98635acaf983f523
                    description: LINEユーザーID
                  line_display_name:
                    type: string
                    example: LINEユーザー名
                    description: LINE表示名
                  is_settlement:
                    type: integer
                    example: 1
                    description: 決済済みかどうか
                  extra_query_param:
                    type: string
                    example: hoge=test
                    description: その他のクエリパラメータ
      tags:
        - 各Objectの説明
      security: []
  /api/v1/channels/object:
    get:
      summary: Channelオブジェクト
      operationId: channel
      description: ''
      parameters: []
      responses:
        200:
          description: Channelオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  uuid: c3cddb23-18b3-3e23-99ba-afaf64217753
                  name: チャネル名
                  line_official_account_id: '@207dabog'
                  current_channel_plan:
                    start_date: '2024-03-27'
                    end_date: null
                    discount: 0
                    message_plan_id: 8
                    function_plan_id: 2
                    is_metered_billing: 0
                    is_current_plan: 1
                    is_exclude_payment_amount: 1
                    plan_name: '199,800円の超大容量プラン'
                properties:
                  uuid:
                    type: string
                    example: c3cddb23-18b3-3e23-99ba-afaf64217753
                    description: 一意に識別するためのUUID
                  name:
                    type: string
                    example: チャネル名
                    description: チャネル名
                  line_official_account_id:
                    type: string
                    example: '@207dabog'
                    description: LINE公式アカウントID
                  current_channel_plan:
                    type: object
                    properties:
                      start_date:
                        type: string
                        example: '2024-03-27'
                      end_date:
                        type: string
                        example: null
                      discount:
                        type: integer
                        example: 0
                      message_plan_id:
                        type: integer
                        example: 8
                      function_plan_id:
                        type: integer
                        example: 2
                      is_metered_billing:
                        type: integer
                        example: 0
                      is_current_plan:
                        type: integer
                        example: 1
                      is_exclude_payment_amount:
                        type: integer
                        example: 1
                      plan_name:
                        type: string
                        example: '199,800円の超大容量プラン'
      tags:
        - 各Objectの説明
      security: []
  /api/v1/channel_plans/object:
    get:
      summary: ChannelPlanオブジェクト
      operationId: channelPlan
      description: ''
      parameters: []
      responses:
        200:
          description: ChannelPlanオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  start_date: '2024-01-01'
                  end_date: null
                  is_current_plan: 1
                  deleted_at: null
                  created_at: '2024-01-01T00:00:00.000000Z'
                  updated_at: '2024-01-01T00:00:00.000000Z'
                  is_exclude_payment_amount: 1
                  plan_name: '199,800円の超大容量プラン'
                properties:
                  start_date:
                    type: string
                    example: '2024-01-01'
                    description: 開始日
                  end_date:
                    type: string
                    example: null
                    description: 終了日
                  is_current_plan:
                    type: integer
                    example: 1
                    description: 現在のプランかどうか
                  deleted_at:
                    type: string
                    example: null
                  created_at:
                    type: string
                    example: '2024-01-01T00:00:00.000000Z'
                  updated_at:
                    type: string
                    example: '2024-01-01T00:00:00.000000Z'
                  is_exclude_payment_amount:
                    type: integer
                    example: 1
                    description: 決算に含めるかどうか
                  plan_name:
                    type: string
                    example: '199,800円の超大容量プラン'
                    description: プラン名
      tags:
        - 各Objectの説明
      security: []
  /api/v1/friends/object:
    get:
      summary: Friendオブジェクト
      operationId: friend
      description: ''
      parameters: []
      responses:
        200:
          description: Friendオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  uuid: d607abbf-1a71-4415-951f-aaae42c5cc72
                  line_user_id: U0f5927464f4589fd98635acaf983f523
                  line_display_name: LINEユーザー
                  line_status_message: LINEステータスメッセージ
                  line_picture_url: 'https://example.com/picture.jpg'
                  display_name: 表示名
                  name: 名前
                  email: test@exampla.com
                  phone_number: 090-1234-5678
                  memo: メモ
                  is_blocked: 0
                  blocked_at: null
                  is_blocking: 0
                  blocking_at: null
                  is_hidden: 0
                  latest_received_message_at: '2024-01-01T00:00:00.000000Z'
                  unread_count: 0
                properties:
                  uuid:
                    type: string
                    example: d607abbf-1a71-4415-951f-aaae42c5cc72
                    description: 一意に識別するためのUUID
                  line_user_id:
                    type: string
                    example: U0f5927464f4589fd98635acaf983f523
                    description: LINEユーザーID
                  line_display_name:
                    type: string
                    example: LINEユーザー
                    description: LINE表示名
                  line_status_message:
                    type: string
                    example: LINEステータスメッセージ
                    description: LINEステータスメッセージ
                  line_picture_url:
                    type: string
                    example: 'https://example.com/picture.jpg'
                    description: LINEプロフィール画像URL
                  display_name:
                    type: string
                    example: 表示名
                    description: 表示名
                  name:
                    type: string
                    example: 名前
                    description: 名前
                  email:
                    type: string
                    example: test@exampla.com
                    description: メールアドレス
                  phone_number:
                    type: string
                    example: 090-1234-5678
                    description: 電話番号
                  memo:
                    type: string
                    example: メモ
                    description: メモ
                  is_blocked:
                    type: integer
                    example: 0
                    description: システムがブロックしているかどうか
                  blocked_at:
                    type: string
                    example: null
                    description: ブロックされた日時
                  is_blocking:
                    type: integer
                    example: 0
                    description: フレンドがブロックしているかどうか
                  blocking_at:
                    type: string
                    example: null
                    description: ブロックした日時
                  is_hidden:
                    type: integer
                    example: 0
                    description: 非表示かどうか
                  latest_received_message_at:
                    type: string
                    example: '2024-01-01T00:00:00.000000Z'
                    description: 最新の受信メッセージ日時
                  unread_count:
                    type: integer
                    example: 0
                    description: 未読メッセージの数
      tags:
        - 各Objectの説明
      security: []
  /api/v1/template_actions/object:
    get:
      summary: TemplateActionオブジェクト
      operationId: templateAction
      description: ''
      parameters: []
      responses:
        200:
          description: TemplateActionオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  uuid: eeb448c2-cf87-4d81-8a9d-bcadf74d4db4
                  name: テンプレートアクション名
                properties:
                  uuid:
                    type: string
                    example: eeb448c2-cf87-4d81-8a9d-bcadf74d4db4
                    description: 一意に識別するためのUUID
                  name:
                    type: string
                    example: テンプレートアクション名
                    description: テンプレートアクション名
      tags:
        - 各Objectの説明
      security: []
  /api/v1/messages/object:
    get:
      summary: Messageオブジェクト
      operationId: message
      description: ''
      parameters: []
      responses:
        200:
          description: Messageオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  send_order: 1
                  type: 1
                  text: テキスト
                  package_id: 11539
                  sticker_id: 52114110
                  image_url: 'https://example.com/image.jpg'
                  imagemap_type: 1
                  image_alt_text: 画像の代替テキスト
                  image_width: 1040
                  image_height: 1040
                  video_url: 'https://example.com/video.mp4'
                  audio_url: 'https://example.com/audio.mp3'
                  carousel_alt_text: 'カルーセル:PC版・通知欄での代替テキスト'
                  question: 質問文
                  question_alt_text: '質問:PC版・通知欄での代替テキスト'
                  location_title: 位置情報タイトル
                  location_address: 位置情報の住所
                  location_latitude: 35.681236
                  location_longitude: 139.767125
                  introduction_text: 紹介文
                  introduction_line_id: '紹介文LINE ID'
                  introduction_alt_text: '紹介:PC版・通知欄での代替テキスト'
                  audio_duration: 60
                  preview_image_url: 'https://example.com/preview_image.jpg'
                properties:
                  send_order:
                    type: integer
                    example: 1
                    description: 同時に5通まで送信できるので、その時の送信順
                  type:
                    type: integer
                    example: 1
                    description: メッセージタイプ
                  text:
                    type: string
                    example: テキスト
                    description: テキスト
                  package_id:
                    type: integer
                    example: 11539
                    description: スタンプのパッケージID
                  sticker_id:
                    type: integer
                    example: 52114110
                    description: スタンプID
                  image_url:
                    type: string
                    example: 'https://example.com/image.jpg'
                    description: 画像URL
                  imagemap_type:
                    type: integer
                    example: 1
                    description: 領域設定
                  image_alt_text:
                    type: string
                    example: 画像の代替テキスト
                    description: 画像の代替テキスト
                  image_width:
                    type: integer
                    example: 1040
                    description: 画像の幅
                  image_height:
                    type: integer
                    example: 1040
                    description: 画像の高さ
                  video_url:
                    type: string
                    example: 'https://example.com/video.mp4'
                    description: 動画URL
                  audio_url:
                    type: string
                    example: 'https://example.com/audio.mp3'
                    description: 音声URL
                  carousel_alt_text:
                    type: string
                    example: 'カルーセル:PC版・通知欄での代替テキスト'
                    description: 'カルーセル:PC版・通知欄での代替テキスト'
                  question:
                    type: string
                    example: 質問文
                    description: 質問文
                  question_alt_text:
                    type: string
                    example: '質問:PC版・通知欄での代替テキスト'
                    description: '質問:PC版・通知欄での代替テキスト'
                  location_title:
                    type: string
                    example: 位置情報タイトル
                    description: 位置情報タイトル
                  location_address:
                    type: string
                    example: 位置情報の住所
                    description: 位置情報の住所
                  location_latitude:
                    type: number
                    example: 35.681236
                    description: 位置情報の緯度
                  location_longitude:
                    type: number
                    example: 139.767125
                    description: 位置情報の経度
                  introduction_text:
                    type: string
                    example: 紹介文
                    description: 紹介文
                  introduction_line_id:
                    type: string
                    example: '紹介文LINE ID'
                    description: '紹介文LINE ID'
                  introduction_alt_text:
                    type: string
                    example: '紹介:PC版・通知欄での代替テキスト'
                    description: '紹介:PC版・通知欄での代替テキスト'
                  audio_duration:
                    type: integer
                    example: 60
                    description: 音声の再生時間
                  preview_image_url:
                    type: string
                    example: 'https://example.com/preview_image.jpg'
                    description: プレビュー画像URL
      tags:
        - 各Objectの説明
      security: []
  /api/v1/message_histories/object:
    get:
      summary: MessageHistoryオブジェクト
      operationId: messageHistory
      description: ''
      parameters: []
      responses:
        200:
          description: MessageHistoryオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  content_type: 1
                  line_message_id: '111111111111111111'
                  file_url: 'https://example.com/file.jpg'
                  content:
                    message:
                      text: メッセージ内容
                      type: text
                      sender:
                        name: カスタム送信者名
                        iconUrl: 'https://example.com/icon.jpg'
                  messaged_at: '2024-01-01T00:00:00.000000Z'
                  text: メッセージ内容
                properties:
                  content_type:
                    type: integer
                    example: 1
                    description: 'メッセージ内容を示す数値<br> ・1 => テキスト<br> ・2 => スタンプ<br> ・3 => 画像<br> ・4 => 動画<br> ・5 => 音声<br> ・6 => 質問<br> ・7 => カルーセル<br> ・8 => 位置情報<br> ・9 => 紹介<br> ・10 => ファイル<br> ・11 => フレックス<br>'
                  line_message_id:
                    type: string
                    example: '111111111111111111'
                    description: LINEメッセージID
                  file_url:
                    type: string
                    example: 'https://example.com/file.jpg'
                    description: ファイルURL
                  content:
                    type: object
                    properties:
                      message:
                        type: object
                        properties:
                          text:
                            type: string
                            example: メッセージ内容
                          type:
                            type: string
                            example: text
                          sender:
                            type: object
                            properties:
                              name:
                                type: string
                                example: カスタム送信者名
                              iconUrl:
                                type: string
                                example: 'https://example.com/icon.jpg'
                  messaged_at:
                    type: string
                    example: '2024-01-01T00:00:00.000000Z'
                    description: メッセージ日時
                  text:
                    type: string
                    example: メッセージ内容
                    description: メッセージ内容
      tags:
        - 各Objectの説明
      security: []
  /api/v1/friend_search_templates/object:
    get:
      summary: FriendSearchTemplateオブジェクト
      operationId: friendSearchTemplate
      description: ''
      parameters: []
      responses:
        200:
          description: FriendSearchTemplateオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  name: フレンドテンプレート検索名
                  friend_search_setting:
                    blocked: hidden
                    blocking_hidden: hidden
                    sort_by: friend_added_desc
                    friend_search_groups:
                      friend_search_conditions:
                        -
                          conditionable_type: App\Models\ConditionName
                          conditionable:
                            name: 山田
                            is_line_display_name: true
                            is_display_name: true
                properties:
                  name:
                    type: string
                    example: フレンドテンプレート検索名
                    description: フレンドテンプレート検索名
                  friend_search_setting:
                    type: object
                    properties:
                      blocked:
                        type: string
                        example: hidden
                      blocking_hidden:
                        type: string
                        example: hidden
                      sort_by:
                        type: string
                        example: friend_added_desc
                      friend_search_groups:
                        type: object
                        properties:
                          friend_search_conditions:
                            type: array
                            example:
                              -
                                conditionable_type: App\Models\ConditionName
                                conditionable:
                                  name: 山田
                                  is_line_display_name: true
                                  is_display_name: true
                            items:
                              type: object
                              properties:
                                conditionable_type:
                                  type: string
                                  example: App\Models\ConditionName
                                conditionable:
                                  type: object
                                  properties:
                                    name:
                                      type: string
                                      example: 山田
                                    is_line_display_name:
                                      type: boolean
                                      example: true
                                    is_display_name:
                                      type: boolean
                                      example: true
      tags:
        - 各Objectの説明
      security: []
  /api/v1/friend_search_settings/object:
    get:
      summary: FriendSearchSettingオブジェクト
      operationId: friendSearchSetting
      description: ''
      parameters: []
      responses:
        200:
          description: FriendSearchSettingオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  blocked: hidden
                  blocking_hidden: hidden
                  sort_by: friend_added_desc
                  friend_search_groups:
                    friend_search_conditions:
                      -
                        conditionable_type: App\Models\ConditionName
                        conditionable:
                          name: 山田
                          is_line_display_name: true
                          is_display_name: true
                properties:
                  blocked:
                    type: string
                    example: hidden
                    description: ブロックされたフレンドを表示するかどうか
                  blocking_hidden:
                    type: string
                    example: hidden
                    description: 自分がブロック・非表示にした人を表示するかどうか
                  sort_by:
                    type: string
                    example: friend_added_desc
                    description: ソート順
                  friend_search_groups:
                    type: object
                    properties:
                      friend_search_conditions:
                        type: array
                        example:
                          -
                            conditionable_type: App\Models\ConditionName
                            conditionable:
                              name: 山田
                              is_line_display_name: true
                              is_display_name: true
                        items:
                          type: object
                          properties:
                            conditionable_type:
                              type: string
                              example: App\Models\ConditionName
                            conditionable:
                              type: object
                              properties:
                                name:
                                  type: string
                                  example: 山田
                                is_line_display_name:
                                  type: boolean
                                  example: true
                                is_display_name:
                                  type: boolean
                                  example: true
      tags:
        - 各Objectの説明
      security: []
  /api/v1/action_message/object:
    get:
      summary: ActionMessageオブジェクト
      operationId: actionMessage
      description: ''
      parameters: []
      responses:
        200:
          description: ActionMessageオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  send_timing: 1
                  send_delay_minutes: 0
                  messages:
                    -
                      send_order: 1
                      type: 1
                      text: テキスト
                      package_id: 11539
                      sticker_id: 52114110
                      image_url: 'https://example.com/image.jpg'
                      imagemap_type: 1
                      image_alt_text: 画像の代替テキスト
                      image_width: 1040
                      image_height: 1040
                      video_url: 'https://example.com/video.mp4'
                      audio_url: 'https://example.com/audio.mp3'
                      carousel_alt_text: 'カルーセル:PC版・通知欄での代替テキスト'
                      question: 質問文
                      question_alt_text: '質問:PC版・通知欄での代替テキスト'
                      location_title: 位置情報タイトル
                      location_address: 位置情報の住所
                      location_latitude: 35.681236
                      location_longitude: 139.767125
                      introduction_text: 紹介文
                      introduction_line_id: '紹介文LINE ID'
                      introduction_alt_text: '紹介:PC版・通知欄での代替テキスト'
                      audio_duration: 60
                      preview_image_url: 'https://example.com/preview_image.jpg'
                properties:
                  send_timing:
                    type: integer
                    example: 1
                    description: 送信
                  send_delay_minutes:
                    type: integer
                    example: 0
                    description: 送信遅延時間
                  messages:
                    type: array
                    example:
                      -
                        send_order: 1
                        type: 1
                        text: テキスト
                        package_id: 11539
                        sticker_id: 52114110
                        image_url: 'https://example.com/image.jpg'
                        imagemap_type: 1
                        image_alt_text: 画像の代替テキスト
                        image_width: 1040
                        image_height: 1040
                        video_url: 'https://example.com/video.mp4'
                        audio_url: 'https://example.com/audio.mp3'
                        carousel_alt_text: 'カルーセル:PC版・通知欄での代替テキスト'
                        question: 質問文
                        question_alt_text: '質問:PC版・通知欄での代替テキスト'
                        location_title: 位置情報タイトル
                        location_address: 位置情報の住所
                        location_latitude: 35.681236
                        location_longitude: 139.767125
                        introduction_text: 紹介文
                        introduction_line_id: '紹介文LINE ID'
                        introduction_alt_text: '紹介:PC版・通知欄での代替テキスト'
                        audio_duration: 60
                        preview_image_url: 'https://example.com/preview_image.jpg'
                    description: '<a href="#object-GETapi-v1-pagination-object">Messageオブジェクト</a>の配列'
                    items:
                      type: object
                      properties:
                        send_order:
                          type: integer
                          example: 1
                        type:
                          type: integer
                          example: 1
                        text:
                          type: string
                          example: テキスト
                        package_id:
                          type: integer
                          example: 11539
                        sticker_id:
                          type: integer
                          example: 52114110
                        image_url:
                          type: string
                          example: 'https://example.com/image.jpg'
                        imagemap_type:
                          type: integer
                          example: 1
                        image_alt_text:
                          type: string
                          example: 画像の代替テキスト
                        image_width:
                          type: integer
                          example: 1040
                        image_height:
                          type: integer
                          example: 1040
                        video_url:
                          type: string
                          example: 'https://example.com/video.mp4'
                        audio_url:
                          type: string
                          example: 'https://example.com/audio.mp3'
                        carousel_alt_text:
                          type: string
                          example: 'カルーセル:PC版・通知欄での代替テキスト'
                        question:
                          type: string
                          example: 質問文
                        question_alt_text:
                          type: string
                          example: '質問:PC版・通知欄での代替テキスト'
                        location_title:
                          type: string
                          example: 位置情報タイトル
                        location_address:
                          type: string
                          example: 位置情報の住所
                        location_latitude:
                          type: number
                          example: 35.681236
                        location_longitude:
                          type: number
                          example: 139.767125
                        introduction_text:
                          type: string
                          example: 紹介文
                        introduction_line_id:
                          type: string
                          example: '紹介文LINE ID'
                        introduction_alt_text:
                          type: string
                          example: '紹介:PC版・通知欄での代替テキスト'
                        audio_duration:
                          type: integer
                          example: 60
                        preview_image_url:
                          type: string
                          example: 'https://example.com/preview_image.jpg'
      tags:
        - 各Objectの説明
      security: []
  /api/v1/folders/object:
    get:
      summary: Folderオブジェクト
      operationId: folder
      description: ''
      parameters: []
      responses:
        200:
          description: Folderオブジェクト
          content:
            application/json:
              schema:
                type: object
                example:
                  uuid: c95d0006-5c6d-4b9a-b5f9-2db75bb2a14f
                  name: フォルダ名
                  order_number: 0
                  purpose: 1
                properties:
                  uuid:
                    type: string
                    example: c95d0006-5c6d-4b9a-b5f9-2db75bb2a14f
                    description: 一意に識別するためのUUID
                  name:
                    type: string
                    example: フォルダ名
                    description: フォルダ名
                  order_number:
                    type: integer
                    example: 0
                    description: 表示順
                  purpose:
                    type: integer
                    example: 1
                    description: 'フォルダの用途を示す数値<br> ・1 => タグ<br> ・2 => スケジュール配信<br> ・3 => 自動応答<br> ・4 => テンプレートメッセージ<br> ・5 => リマインダー配信<br> ・6 => スケジュール設定<br> ・7 => テンプレートアクション<br> ・8 => テンプレート検索<br> ・9 => URLクリック分析<br> ・10 => リッチメニュー<br> ・11 => シナリオ<br> ・12 => 流入経路<br> ・13 => 回答フォーム'
      tags:
        - 各Objectの説明
      security: []
  /api/v1/flex_json/others:
    get:
      summary: フレックスメッセージで送信するJSONの形式
      operationId: JSON
      description: '<a href="https://developers.line.biz/flex-simulator/?status=success">Flex Message Simulator</a>で発行できるようなJSONの形式で指定してください。'
      parameters: []
      responses:
        200:
          description: フレックスメッセージで送信するJSONの形式
          content:
            application/json:
              schema:
                type: object
                example:
                  type: bubble
                  hero:
                    type: image
                    url: 'https://developers-resource.landpress.line.me/fx/img/01_1_cafe.png'
                    size: full
                    aspectRatio: '20:13'
                    aspectMode: cover
                    action:
                      type: uri
                      uri: 'https://line.me/'
                  body:
                    type: box
                    layout: vertical
                    contents:
                      -
                        type: text
                        text: 'Brown Cafe'
                        weight: bold
                        size: xl
                      -
                        type: box
                        layout: baseline
                        margin: md
                        contents:
                          -
                            type: icon
                            size: sm
                            url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                          -
                            type: icon
                            size: sm
                            url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                          -
                            type: icon
                            size: sm
                            url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                          -
                            type: icon
                            size: sm
                            url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                          -
                            type: icon
                            size: sm
                            url: 'https://developers-resource.landpress.line.me/fx/img/review_gray_star_28.png'
                          -
                            type: text
                            text: '4.0'
                            size: sm
                            color: '#999999'
                            margin: md
                            flex: 0
                      -
                        type: box
                        layout: vertical
                        margin: lg
                        spacing: sm
                        contents:
                          -
                            type: box
                            layout: baseline
                            spacing: sm
                            contents:
                              -
                                type: text
                                text: Place
                                color: '#aaaaaa'
                                size: sm
                                flex: 1
                              -
                                type: text
                                text: 'Flex Tower, 7-7-4 Midori-ku, Tokyo'
                                wrap: true
                                color: '#666666'
                                size: sm
                                flex: 5
                          -
                            type: box
                            layout: baseline
                            spacing: sm
                            contents:
                              -
                                type: text
                                text: Time
                                color: '#aaaaaa'
                                size: sm
                                flex: 1
                              -
                                type: text
                                text: '10:00 - 23:00'
                                wrap: true
                                color: '#666666'
                                size: sm
                                flex: 5
                  footer:
                    type: box
                    layout: vertical
                    spacing: sm
                    contents:
                      -
                        type: button
                        style: link
                        height: sm
                        action:
                          type: uri
                          label: CALL
                          uri: 'https://line.me/'
                      -
                        type: button
                        style: link
                        height: sm
                        action:
                          type: uri
                          label: WEBSITE
                          uri: 'https://line.me/'
                      -
                        type: box
                        layout: vertical
                        contents: []
                        margin: sm
                    flex: 0
                properties:
                  type:
                    type: string
                    example: bubble
                  hero:
                    type: object
                    properties:
                      type:
                        type: string
                        example: image
                      url:
                        type: string
                        example: 'https://developers-resource.landpress.line.me/fx/img/01_1_cafe.png'
                      size:
                        type: string
                        example: full
                      aspectRatio:
                        type: string
                        example: '20:13'
                      aspectMode:
                        type: string
                        example: cover
                      action:
                        type: object
                        properties:
                          type:
                            type: string
                            example: uri
                          uri:
                            type: string
                            example: 'https://line.me/'
                  body:
                    type: object
                    properties:
                      type:
                        type: string
                        example: box
                      layout:
                        type: string
                        example: vertical
                      contents:
                        type: array
                        example:
                          -
                            type: text
                            text: 'Brown Cafe'
                            weight: bold
                            size: xl
                          -
                            type: box
                            layout: baseline
                            margin: md
                            contents:
                              -
                                type: icon
                                size: sm
                                url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                              -
                                type: icon
                                size: sm
                                url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                              -
                                type: icon
                                size: sm
                                url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                              -
                                type: icon
                                size: sm
                                url: 'https://developers-resource.landpress.line.me/fx/img/review_gold_star_28.png'
                              -
                                type: icon
                                size: sm
                                url: 'https://developers-resource.landpress.line.me/fx/img/review_gray_star_28.png'
                              -
                                type: text
                                text: '4.0'
                                size: sm
                                color: '#999999'
                                margin: md
                                flex: 0
                          -
                            type: box
                            layout: vertical
                            margin: lg
                            spacing: sm
                            contents:
                              -
                                type: box
                                layout: baseline
                                spacing: sm
                                contents:
                                  -
                                    type: text
                                    text: Place
                                    color: '#aaaaaa'
                                    size: sm
                                    flex: 1
                                  -
                                    type: text
                                    text: 'Flex Tower, 7-7-4 Midori-ku, Tokyo'
                                    wrap: true
                                    color: '#666666'
                                    size: sm
                                    flex: 5
                              -
                                type: box
                                layout: baseline
                                spacing: sm
                                contents:
                                  -
                                    type: text
                                    text: Time
                                    color: '#aaaaaa'
                                    size: sm
                                    flex: 1
                                  -
                                    type: text
                                    text: '10:00 - 23:00'
                                    wrap: true
                                    color: '#666666'
                                    size: sm
                                    flex: 5
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              example: text
                            text:
                              type: string
                              example: 'Brown Cafe'
                            weight:
                              type: string
                              example: bold
                            size:
                              type: string
                              example: xl
                  footer:
                    type: object
                    properties:
                      type:
                        type: string
                        example: box
                      layout:
                        type: string
                        example: vertical
                      spacing:
                        type: string
                        example: sm
                      contents:
                        type: array
                        example:
                          -
                            type: button
                            style: link
                            height: sm
                            action:
                              type: uri
                              label: CALL
                              uri: 'https://line.me/'
                          -
                            type: button
                            style: link
                            height: sm
                            action:
                              type: uri
                              label: WEBSITE
                              uri: 'https://line.me/'
                          -
                            type: box
                            layout: vertical
                            contents: []
                            margin: sm
                        items:
                          type: object
                          properties:
                            type:
                              type: string
                              example: button
                            style:
                              type: string
                              example: link
                            height:
                              type: string
                              example: sm
                            action:
                              type: object
                              properties:
                                type:
                                  type: string
                                  example: uri
                                label:
                                  type: string
                                  example: CALL
                                uri:
                                  type: string
                                  example: 'https://line.me/'
                      flex:
                        type: integer
                        example: 0
      tags:
        - Others
      security: []
  /api/v1/user:
    get:
      summary: ユーザーを取得
      operationId: ''
      description: ログイン中のユーザー情報を取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    uuid: a6571227-7485-4115-96cf-a2623b0e1aae
                    email: nanami.saito@gmail.com
                    email_verified_at: '2025-12-04T08:45:37.000000Z'
                    name: '渚 花子'
                    phone_number: 09011-3-1651
                    postal_code: '3712567'
                    prefecture: 福岡県
                    address: 田辺町村山3-8-3
                    building: ハイツ佐々木109号
                    tmp_special_invitation_code: null
                    link_code: ''
                    line_user_id: ''
                    line_display_name: ''
                    is_settlement: 1
                    extra_query_param: ''
                properties:
                  data:
                    type: object
                    properties:
                      uuid:
                        type: string
                        example: a6571227-7485-4115-96cf-a2623b0e1aae
                      email:
                        type: string
                        example: nanami.saito@gmail.com
                      email_verified_at:
                        type: string
                        example: '2025-12-04T08:45:37.000000Z'
                      name:
                        type: string
                        example: '渚 花子'
                      phone_number:
                        type: string
                        example: 09011-3-1651
                      postal_code:
                        type: string
                        example: '3712567'
                      prefecture:
                        type: string
                        example: 福岡県
                      address:
                        type: string
                        example: 田辺町村山3-8-3
                      building:
                        type: string
                        example: ハイツ佐々木109号
                      tmp_special_invitation_code:
                        type: string
                        example: null
                      link_code:
                        type: string
                        example: ''
                      line_user_id:
                        type: string
                        example: ''
                      line_display_name:
                        type: string
                        example: ''
                      is_settlement:
                        type: integer
                        example: 1
                      extra_query_param:
                        type: string
                        example: ''
      tags:
        - User
  /api/v1/channels:
    get:
      summary: チャネルリストを取得
      operationId: ''
      description: チャネルリストをぺージネーション形式で取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n   \"data\": [\n      {\n           \"uuid\": \"78927a54-3416-337d-8f07-bd2d3e06bf59\",\n           \"name\": \"デモチャネル\",\n           \"line_official_account_id\": \"@111dummy\",\n           \"current_channel_plan\": {\n             \"start_date\": \"2024-01-01\",\n             \"end_date\": null,\n             \"is_current_plan\": 1,\n             \"is_execute_payment_at\": 0,\n             \"plan_name\": \"199,800円の超大容量プラン\",\n      }\n   ],\n    \"links\": {\n        \"first\": \"/api/v1/channels?page=1\",\n        \"last\": \"/api/v1/channels?page=1\",\n        \"prev\": null,\n        \"next\": null\n   },\n    \"meta\": {\n         \"current_page\": 1,\n         \"from\": 1,\n         \"last_page\": 1,\n         \"links\": [\n             {\n                 \"url\": null,\n                 \"label\": \"&laquo; 前\",\n                 \"active\": false\n             },\n             {\n                 \"url\": \"/api/v1/channels?page=1\",\n                 \"label\": \"1\",\n                 \"active\": true\n             },\n             {\n                 \"url\": null,\n                 \"label\": \"次 &raquo;\",\n                 \"active\": false\n             }\n         ],\n     \"path\": \"/api/v1/channels?page=1\",\n     \"per_page\": 50,\n     \"to\": 1,\n     \"total\": 1\n  }"
      tags:
        - Channel
  '/api/v1/channels/{uuid}':
    get:
      summary: チャネルを取得
      operationId: ''
      description: 特定のチャネル情報を取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n  \"uuid\": \"78927a54-3416-337d-8f07-bd2d3e06bf59\",\n  \"name\": \"デモチャネル\",\n  \"line_official_account_id\": \"@111dummy\",\n  \"current_channel_plan\": {\n     \"start_date\": \"2024-01-01\",\n     \"end_date\": null,\n     \"is_current_plan\": 1,\n     \"is_execute_payment_at\": 0,\n     \"plan_name\": \"199,800円の超大容量プラン\",\n  }"
      tags:
        - Channel
    parameters:
      -
        in: path
        name: uuid
        description: チャネルUUID
        example: 78927a54-3416-337d-8f07-bd2d3e06bf59
        required: true
        schema:
          type: string
  '/api/v1/channels/{channel_uuid}/friends':
    get:
      summary: フレンドリストを取得
      operationId: ''
      description: チャネルに紐づくフレンド一覧をぺージネーション形式で取得します。
      parameters:
        -
          in: query
          name: line_user_id
          description: LINEユーザーID
          example: U0x9tejhRwGpatTuXUbeseVasWjGmKuT4
          required: false
          schema:
            type: string
            description: LINEユーザーID
            example: U0x9tejhRwGpatTuXUbeseVasWjGmKuT4
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n   \"data\": [\n      {\n           \"uuid\": \"a722b5a4-f7fc-4884-8c23-58cc3a96f309\",\n           \"line_user_id\": \"U6f168a56162e00e6ea19af8dd6d82fe9\",\n           \"line_display_name\": \"LINEユーザー名\",\n           \"line_language\": \"ja\",\n           \"line_status_message\": \"LINEステータスメッセージ\",\n           \"line_picture_url\": \"https://example.com/picture.jpg\",\n           \"line_profile_api_json\": [],\n           \"display_name\": \"表示名\",\n           \"name\": \"名前\",\n           \"email\": \"yamaguchi.minoru@test.net\"\n           \"phone_number\": \"037-335-0831\",\n           \"memo\": \"メモ\",\n      }\n   ],\n    \"links\": {\n        \"first\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/friends?page=1\"\n        \"last\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/friends?page=1\",\n        \"prev\": null,\n        \"next\": null\n   },\n    \"meta\": {\n         \"current_page\": 1,\n         \"from\": 1,\n         \"last_page\": 1,\n         \"links\": [\n             {\n                 \"url\": null,\n                 \"label\": \"&laquo; 前\",\n                 \"active\": false\n             },\n             {\n                 \"url\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/friends?page=1\",\n                 \"label\": \"1\",\n                 \"active\": true\n             },\n             {\n                 \"url\": null,\n                 \"label\": \"次 &raquo;\",\n                 \"active\": false\n             }\n         ],\n     \"path\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/friends?page=1\",\n     \"per_page\": 50,\n     \"to\": 1,\n     \"total\": 1\n  }"
      tags:
        - Channel
    parameters:
      -
        in: path
        name: channel_uuid
        description: チャネルUUID
        example: 78927a54-3416-337d-8f07-bd2d3e06bf59
        required: true
        schema:
          type: string
  '/api/v1/channels/{channel_uuid}/liffs':
    post:
      summary: LIFFを追加
      operationId: lIFF
      description: LINEログインチャネルにLIFFを追加します。
      parameters: []
      responses: {  }
      tags:
        - Channel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                viewType:
                  type: string
                  description: ''
                  example: full
                  enum:
                    - full
                    - tall
                    - compact
                liffUrl:
                  type: string
                  description: 'LIFF URL'
                  example: 'https://example.com'
                description:
                  type: string
                  description: 説明
                  example: 'Quo qui accusamus culpa ducimus saepe.'
              required:
                - viewType
                - liffUrl
                - description
    parameters:
      -
        in: path
        name: channel_uuid
        description: チャネルUUID
        example: 46fac062-0ca5-3b29-b8df-fc2e147166b5
        required: true
        schema:
          type: string
  '/api/v1/channels/{channel_uuid}/liffs/{liff_id}':
    delete:
      summary: LIFFを削除
      operationId: lIFF
      description: LINEログインチャネルのLIFFを削除します。
      parameters: []
      responses: {  }
      tags:
        - Channel
    parameters:
      -
        in: path
        name: channel_uuid
        description: チャネルUUID
        example: 027871ec-9cbd-35ea-bb30-d811d53097b6
        required: true
        schema:
          type: string
      -
        in: path
        name: liff_id
        description: LIFF_ID
        example: 4267274925-L8tGETcV
        required: true
        schema:
          type: string
  '/api/v1/channels/{channel_uuid}/message_variables':
    post:
      summary: メッセージ変数を同期
      operationId: ''
      description: チャネルに紐づいたメッセージ変数を、指定されたメッセージ変数に同期します。
      parameters: []
      responses: {  }
      tags:
        - Channel
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                system:
                  type: string
                  description: システム名
                  example: aposuru
                name_and_variables:
                  type: array
                  description: '変数名と変数の配列:システムごとに複数指定可能'
                  example:
                    - []
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        description: 変数名
                        example: 商品価格
                      variable:
                        type: string
                        description: '変数 required'
                        example: price
                    required:
                      - name
              required:
                - system
                - name_and_variables
    parameters:
      -
        in: path
        name: channel_uuid
        description: チャネルUUID
        example: a301f9f6-9d90-3d6f-bf06-7e1d3381391a
        required: true
        schema:
          type: string
  '/api/v1/channels/{channel_uuid}/folders':
    get:
      summary: フォルダーリストを取得
      operationId: ''
      description: フォルダーリストをぺージネーション形式で取得します。
      parameters:
        -
          in: query
          name: page
          description: ページ数
          example: 1
          required: false
          schema:
            type: integer
            description: ページ数
            example: 1
        -
          in: query
          name: rowsPerPage
          description: 1ページあたりの数
          example: 50
          required: false
          schema:
            type: integer
            description: 1ページあたりの数
            example: 50
        -
          in: query
          name: purpose
          description: 'フォルダの用途: 指定値は<a href="#object-GETapi-v1-folders-object">Folderオブジェクトのpurpose</a>を参照'
          example: 1
          required: false
          schema:
            type: integer
            description: 'フォルダの用途: 指定値は<a href="#object-GETapi-v1-folders-object">Folderオブジェクトのpurpose</a>を参照'
            example: 1
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n   \"data\": [\n      {\n           \"uuid\": \"c95d0006-5c6d-4b9a-b5f9-2db75bb2a14f\",\n           \"name\": \"フォルダ名\",\n           \"order_number\": 0,\n           \"purpose\": 1,\n      }\n   ],\n    \"links\": {\n        \"first\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/folders?page=1\",\n        \"last\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/folders?page=1\",\n        \"prev\": null,\n        \"next\": null\n   },\n    \"meta\": {\n         \"current_page\": 1,\n         \"from\": 1,\n         \"last_page\": 1,\n         \"links\": [\n             {\n                 \"url\": null,\n                 \"label\": \"&laquo; 前\",\n                 \"active\": false\n             },\n             {\n                 \"url\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/folders?page=1\",\n                 \"label\": \"1\",\n                 \"active\": true\n             },\n             {\n                 \"url\": null,\n                 \"label\": \"次 &raquo;\",\n                 \"active\": false\n             }\n         ],\n     \"path\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/folders?page=1\",\n     \"per_page\": 50,\n     \"to\": 1,\n     \"total\": 1\n  }"
      tags:
        - Folder
    parameters:
      -
        in: path
        name: channel_uuid
        description: チャネルUUID
        example: 78927a54-3416-337d-8f07-bd2d3e06bf59
        required: true
        schema:
          type: string
  '/api/v1/friends/{uuid}':
    get:
      summary: フレンド情報を取得
      operationId: ''
      description: 特定のフレンド情報を取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n     \"uuid\": \"a722b5a4-f7fc-4884-8c23-58cc3a96f309\",\n     \"line_user_id\": \"U6f168a56162e00e6ea19af8dd6d82fe9\",\n     \"line_display_name\": \"LINEユーザー名\",\n     \"line_language\": \"ja\",\n     \"line_status_message\": \"LINEステータスメッセージ\",\n     \"line_picture_url\": \"https://example.com/picture.jpg\",\n     \"line_profile_api_json\": [],\n     \"display_name\": \"表示名\",\n     \"name\": \"名前\",\n     \"email\": \"yamaguchi.minoru@test.net\",\n     \"phone_number\": \"037-335-0831\",\n     \"memo\": \"メモ\",\n}"
      tags:
        - Friend
    parameters:
      -
        in: path
        name: uuid
        description: フレンドUUID
        example: a722b5a4-f7fc-4884-8c23-58cc3a96f309
        required: true
        schema:
          type: string
  '/api/v1/friend_search_templates/{channel_uuid}':
    get:
      summary: テンプレート検索リストを取得
      operationId: ''
      description: フレンドのテンプレート検索をぺージネーション形式で取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n   \"data\": [\n      {\n        \"name\": \"山田さんのみ\",\n        \"friend_search_setting\": {\n             \"id\": 1,\n             \"blocked\": \"hidden\",\n             \"blocking_hidden\": \"hidden\",\n             \"sort_by\": \"friend_added_desc\",\n             \"friend_search_groups\": [\n                 {\n                     \"id\": 1,\n                     \"friend_search_setting_id\": 1,\n                     \"friend_search_conditions\": [\n                         {\n                             \"id\": 1,\n                             \"friend_search_group_id\": 1,\n                             \"conditionable_type\": \"App\\\\Models\\\\ConditionName\",\n                             \"conditionable_id\": 1,\n                             \"conditionable\": {\n                                 \"id\": 1,\n                                 \"name\": \"山田\",\n                                 \"is_line_display_name\": true,\n                                 \"is_display_name\": true,\n                              }\n                          }\n                     ]\n                 }\n             ]\n         }\n      }\n   ],\n    \"links\": {\n        \"first\": \"/api/v1/friend_search_templates/78927a54-3416-337d-8f07-bd2d3e06bf59?page=1\",\n        \"last\": \"/api/v1/friend_search_templates/78927a54-3416-337d-8f07-bd2d3e06bf59?page=1\",\n        \"prev\": null,\n        \"next\": null\n   },\n    \"meta\": {\n         \"current_page\": 1,\n         \"from\": 1,\n         \"last_page\": 1,\n         \"links\": [\n             {\n                 \"url\": null,\n                 \"label\": \"&laquo; 前\",\n                 \"active\": false\n             },\n             {\n                 \"url\": \"/api/v1/friend_search_templates/78927a54-3416-337d-8f07-bd2d3e06bf59?page=1\",\n                 \"label\": \"1\",\n                 \"active\": true\n             },\n             {\n                 \"url\": null,\n                 \"label\": \"次 &raquo;\",\n                 \"active\": false\n             }\n         ],\n     \"path\": \"/api/v1/friend_search_templates/78927a54-3416-337d-8f07-bd2d3e06bf59\",\n     \"per_page\": 50,\n     \"to\": 1,\n     \"total\": 1\n  }"
      tags:
        - Friend
    parameters:
      -
        in: path
        name: channel_uuid
        description: ''
        example: 36758917-94b4-3015-b406-3bac6cdd2754
        required: true
        schema:
          type: string
  '/api/v1/friends/{friend_uuid}/talk_url':
    get:
      summary: 友だちトーク画面URLを取得
      operationId: URL
      description: 指定した友だちのトーク画面URLを取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            application/json:
              schema:
                type: object
                example:
                  url: 'https://localhost/friend_talk/friend_search?friend_uuid=a722b5a4-f7fc-4884-8c23-58cc3a96f309'
                properties:
                  url:
                    type: string
                    example: 'https://localhost/friend_talk/friend_search?friend_uuid=a722b5a4-f7fc-4884-8c23-58cc3a96f309'
      tags:
        - FriendTalk
    parameters:
      -
        in: path
        name: friend_uuid
        description: ''
        example: 1
        required: true
        schema:
          type: integer
      -
        in: path
        name: uuid
        description: 友だちUUID
        example: a722b5a4-f7fc-4884-8c23-58cc3a96f309
        required: true
        schema:
          type: string
  '/api/v1/friends/{friend_uuid}/message_histories':
    get:
      summary: メッセージ履歴を取得
      operationId: ''
      description: メッセージ履歴をぺージネーション形式で取得します。
      parameters:
        -
          in: query
          name: page
          description: ページ数
          example: 1
          required: false
          schema:
            type: integer
            description: ページ数
            example: 1
        -
          in: query
          name: rowsPerPage
          description: 1ページあたりの数
          example: 50
          required: false
          schema:
            type: integer
            description: 1ページあたりの数
            example: 50
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n   \"data\": [\n      {\n           \"uuid\": \"c95d0006-5c6d-4b9a-b5f9-2db75bb2a14f\",\n           \"message_type\": 1,\n           \"content_type\": 1,\n           \"line_message_id\": \"1234567890\",\n           \"file_url\": \"https://example.com/file.jpg\",\n           \"content\": \"メッセージ内容\",\n           \"messaged_at\": \"2021-01-01 00:00:00\",\n           \"send_status\": 1,\n           \"response_json\": \"{}\",\n           \"text\": \"メッセージ内容\",\n           \"transaction_key\": \"c95d0006-5c6d-4b9a-b5f9-2db75bb2a14f\",\n           \"is_free_message\": false,\n           \"message_task_mark\": {\n              {\n                 \"name\": \"タスクマーク名\",\n                 \"color\": \"#000000\",\n                 \"order\": 0\n              }\n           ]\n      }\n   ],\n    \"links\": {\n        \"first\": \"/api/v1/friends/9cdf3aca-43f8-48f4-bb6a-6b06079f6421/message_histories?page=1\",\n        \"last\": \"/api/v1/friends/9cdf3aca-43f8-48f4-bb6a-6b06079f6421/message_histories?page=1\",\n        \"prev\": null,\n        \"next\": null\n   },\n    \"meta\": {\n         \"current_page\": 1,\n         \"from\": 1,\n         \"last_page\": 1,\n         \"links\": [\n             {\n                 \"url\": null,\n                 \"label\": \"&laquo; 前\",\n                 \"active\": false\n             },\n             {\n                 \"url\": \"/api/v1/friends/9cdf3aca-43f8-48f4-bb6a-6b06079f6421/message_histories?page=1\",\n                 \"label\": \"1\",\n                 \"active\": true\n             },\n             {\n                 \"url\": null,\n                 \"label\": \"次 &raquo;\",\n                 \"active\": false\n             }\n         ],\n     \"path\": \"/api/v1/friends/9cdf3aca-43f8-48f4-bb6a-6b06079f6421/message_histories?page=1\",\n     \"per_page\": 50,\n     \"to\": 1,\n     \"total\": 1\n  }"
      tags:
        - Message
    parameters:
      -
        in: path
        name: friend_uuid
        description: 友達UUID
        example: 9cdf3aca-43f8-48f4-bb6a-6b06079f6421
        required: true
        schema:
          type: string
  '/api/v1/friends/{friend_uuid}/message/push':
    post:
      summary: メッセージを送信
      operationId: ''
      description: メッセージを送信します。
      parameters: []
      responses: {  }
      tags:
        - Message
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                variable:
                  type: object
                  description: 変数
                  example: []
                  properties:
                    system:
                      type: string
                      description: ''
                      example: corporis
                    replace_friends:
                      type: array
                      description: 置換リスト
                      example:
                        - []
                      items:
                        type: object
                        properties:
                          friend_uuid:
                            type: string
                            description: 友だちUUID
                            example: 9cdf3aca-43f8-48f4-bb6a-6b06079f6421
                          replaces:
                            type: array
                            description: ''
                            example:
                              - []
                            items:
                              type: object
                              properties:
                                key:
                                  type: string
                                  description: 置換キー
                                  example: price
                                value:
                                  type: required
                                  description: 置換後の値
                                  example: ¥100
                              required:
                                - key
                        required:
                          - friend_uuid
                    names:
                      type: array
                      description: 変数名リスト
                      example:
                        - price
                      items:
                        type: string
                messages:
                  type: array
                  description: メッセージ
                  example:
                    - []
                  items:
                    type: object
                    properties:
                      type:
                        type: integer
                        description: ''
                        example: 5
                        enum:
                          - 1
                          - 2
                          - 3
                          - 4
                          - 5
                          - 6
                          - 7
                          - 8
                          - 9
                          - 10
                          - 11
                      text_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/. valueは、20文字以下で指定してください。.'
                        example: jcdyqcbfgrty
                      text_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://www.grant.com/ab-beatae-consequuntur-blanditiis-accusamus-quod'
                      stamp_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: baimslnvkhm
                      stamp_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://durgan.com/et-architecto-in-exercitationem.html'
                      image_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: yecfzzggnq
                      image_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://kunze.biz/qui-maxime-ipsum-voluptatem-aut-quia-blanditiis'
                      video_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: dbu
                      video_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'https://abbott.biz/doloribus-commodi-nostrum-cupiditate-suscipit-porro-consectetur-quia.html'
                      audio_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: xepsjlkobbgb
                      audio_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://donnelly.com/molestiae-aut-delectus-nostrum-sed-dolorem-animi-molestiae.html'
                      question_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: uujcnvekkyvddygkg
                      question_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://kris.com/nam-consequuntur-voluptas-cum-repellat-explicabo'
                      carousel_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: qauhyblixqugtchf
                      carousel_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'https://romaguera.info/iste-voluptas-temporibus-totam-eligendi-et-temporibus.html'
                      location_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: v
                      location_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://www.stamm.net/ut-consequatur-et-velit-veritatis-vel-unde-aut-reiciendis'
                      introduction_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: tzgqw
                      introduction_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'http://price.com/ab-veniam-recusandae-nemo-laudantium-aut-ut-eos.html'
                      flex_sender_name:
                        type: string
                        description: 'Must match the regex /\A(?!.*LINE).*\z/i. valueは、20文字以下で指定してください。.'
                        example: adutgpzqq
                      flex_sender_image_url:
                        type: string
                        description: 'Must be a valid URL. valueは、2000文字以下で指定してください。.'
                        example: 'https://www.abernathy.info/ut-beatae-dolor-quo-non-deserunt-doloremque-cum-perspiciatis'
                      text:
                        type: string
                        description: valueは、4000文字以下で指定してください。.
                        example: dx
                      package_id:
                        type: number
                        description: ''
                        example: 17247862.522802
                      sticker_id:
                        type: number
                        description: ''
                        example: 567965018.22
                      image_url:
                        type: string
                        description: 画像URL
                        example: 'https://example.com/image.jpg'
                      image_width:
                        type: number
                        description: ''
                        example: 519614.8804
                      image_height:
                        type: number
                        description: ''
                        example: 3500934.02
                      imagemap_type:
                        type: integer
                        description: ''
                        example: 7
                        enum:
                          - 0
                          - 1
                          - 2
                          - 3
                          - 4
                          - 5
                          - 6
                          - 7
                          - 8
                      imagemap_areas:
                        type: array
                        description: ''
                        example: null
                        items:
                          type: object
                          properties:
                            link_action:
                              type: integer
                              description: ''
                              example: 0
                              enum:
                                - 0
                                - 1
                            url:
                              type: string
                              description: 'This field is required when <code>messages.*.imagemap_areas.*.link_action</code> is <code>1</code>.  Must be a valid URL.'
                              example: 'http://dooley.com/soluta-et-qui-maxime-dolore.html'
                          required:
                            - link_action
                      image_alt_text:
                        type: string
                        description: valueは、400文字以下で指定してください。.
                        example: yfpcyh
                      video_url:
                        type: string
                        description: 動画URL
                        example: 'https://example.com/video.mp4'
                      preview_image_url:
                        type: string
                        description: プレビュー画像URL
                        example: 'https://example.com/preview.jpg'
                      audio_url:
                        type: string
                        description: 音楽URL
                        example: 'https://example.com/audio.mp3'
                      audio_duration:
                        type: integer
                        description: ''
                        example: 11
                      question:
                        type: string
                        description: valueは、160文字以下で指定してください。.
                        example: pxep
                      question_alt_text:
                        type: string
                        description: valueは、400文字以下で指定してください。.
                        example: qj
                      message_question_choices:
                        type: array
                        description: ''
                        example:
                          - []
                        items:
                          type: object
                          properties:
                            choice:
                              type: string
                              description: valueは、20文字以下で指定してください。.
                              example: erlaib
                            selected_action_type:
                              type: integer
                              description: ''
                              example: 0
                              enum:
                                - 0
                                - 1
                                - 2
                                - 3
                                - 4
                                - 5
                            order:
                              type: integer
                              description: ''
                              example: 7
                            url:
                              type: string
                              description: 'Must be a valid URL.'
                              example: 'http://www.lowe.com/incidunt-aut-fuga-nemo-sit-sunt-sapiente-odit-veritatis'
                            phone_number:
                              type: string
                              description: 'Must match the regex /\A[\d-]{1,15}\z/.'
                              example: A---dd--dd---dz
                            line_id:
                              type: string
                              description: ''
                              example: porro
                            email:
                              type: string
                              description: valueには、有効なメールアドレスを指定してください。.
                              example: langworth.nicolas@example.com
                            message_question_choice_actions:
                              type: array
                              description: ''
                              example:
                                - []
                              items:
                                type: object
                                properties:
                                  actionable_type:
                                    type: string
                                    description: ''
                                    example: App\Models\ActionReminder
                                    enum:
                                      - App\Models\ActionMessage
                                      - App\Models\ActionTemplateMessage
                                      - App\Models\ActionTag
                                      - App\Models\ActionScenario
                                      - App\Models\ActionReminder
                                      - App\Models\ActionLabelDisplay
                                      - App\Models\ActionNotification
                                      - App\Models\ActionRichMenu
                                      - App\Models\ActionFriendCustomField
                                  actionable_id:
                                    type: string
                                    description: ''
                                    example: null
                                  actionable:
                                    type: string
                                    description: ''
                                    example: perspiciatis
                                required:
                                  - actionable_type
                                  - actionable
                          required:
                            - choice
                            - selected_action_type
                            - order
                            - url
                            - phone_number
                            - line_id
                            - email
                            - message_question_choice_actions
                      message_carousel_panels:
                        type: array
                        description: ''
                        example:
                          - []
                        items:
                          type: object
                          properties:
                            title:
                              type: string
                              description: valueは、40文字以下で指定してください。.
                              example: isherywgqnmdu
                            text:
                              type: string
                              description: valueは、60文字以下で指定してください。.
                              example: axqxsnxymglgpaap
                            media_file_id:
                              type: string
                              description: ''
                              example: null
                            image_url:
                              type: string
                              description: ''
                              example: null
                            message_carousel_choices:
                              type: array
                              description: ''
                              example:
                                - []
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                    description: valueは、20文字以下で指定してください。.
                                    example: uvbvvopqxl
                                  carousel_action:
                                    type: integer
                                    description: ''
                                    example: 1
                                    enum:
                                      - 1
                                      - 2
                                      - 3
                                      - 4
                                      - 5
                                      - 6
                                  url:
                                    type: string
                                    description: 'Must be a valid URL.'
                                    example: 'https://www.kozey.biz/labore-adipisci-facilis-culpa-est'
                                  tel:
                                    type: string
                                    description: 'Must match the regex /\A[\d-]{1,15}\z/.'
                                    example: Addddz
                                  line_user_id:
                                    type: string
                                    description: ''
                                    example: odit
                                  mail:
                                    type: string
                                    description: valueには、有効なメールアドレスを指定してください。.
                                    example: guillermo.reichel@example.org
                                  message_carousel_choice_actions:
                                    type: array
                                    description: ''
                                    example:
                                      - []
                                    items:
                                      type: object
                                      properties: { actionable_type: { type: string, description: '', example: App\Models\ActionRichMenu, enum: [App\Models\ActionMessage, App\Models\ActionTemplateMessage, App\Models\ActionTag, App\Models\ActionScenario, App\Models\ActionReminder, App\Models\ActionLabelDisplay, App\Models\ActionNotification, App\Models\ActionRichMenu, App\Models\ActionFriendCustomField] }, actionable_id: { type: string, description: '', example: null }, actionable: { type: string, description: '', example: voluptatem } }
                                      required: [actionable_type, actionable]
                                required:
                                  - name
                                  - carousel_action
                                  - url
                                  - tel
                                  - line_user_id
                                  - mail
                                  - message_carousel_choice_actions
                          required:
                            - text
                            - message_carousel_choices
                      carousel_alt_text:
                        type: string
                        description: valueは、400文字以下で指定してください。.
                        example: xfrl
                      location_title:
                        type: string
                        description: valueは、100文字以下で指定してください。.
                        example: sbwgwdvosufyozjrejgofc
                      location_address:
                        type: string
                        description: valueは、100文字以下で指定してください。.
                        example: mzgvo
                      location_latitude:
                        type: number
                        description: 緯度
                        example: 35.681236
                      location_longitude:
                        type: number
                        description: 経度
                        example: 139.767125
                      introduction_text:
                        type: string
                        description: valueは、60文字以下で指定してください。.
                        example: ulxqwoefibnqfnlwdpx
                      introduction_line_id:
                        type: string
                        description: valueは、20文字以下で指定してください。.
                        example: studfuqkfnupnaw
                      introduction_alt_text:
                        type: string
                        description: valueは、400文字以下で指定してください。.
                        example: hilpnevgltj
                      flex_json:
                        type: string
                        description: ''
                        example: rerum
                    required:
                      - type
                      - text
                      - package_id
                      - sticker_id
                      - image_width
                      - image_height
                      - imagemap_type
                      - audio_duration
                      - question
                      - message_question_choices
                      - message_carousel_panels
                      - location_title
                      - location_address
                      - introduction_text
                      - introduction_line_id
                      - introduction_alt_text
                      - flex_json
              required:
                - messages
    parameters:
      -
        in: path
        name: friend_uuid
        description: 'string 友達UUID'
        example: 9cdf3aca-43f8-48f4-bb6a-6b06079f6421
        required: true
        schema:
          type: string
  /api/v1/friends/flex_message/push:
    post:
      summary: フレックスメッセージを送信
      operationId: ''
      description: フレックスメッセージを送信します。
      parameters: []
      responses: {  }
      tags:
        - Message
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                friend_ids:
                  type: array
                  description: 友だちUUIDリスト
                  example:
                    - e07ba8c6-f563-440e-a800-316c89f18f19
                    - 9cdf3aca-43f8-48f4-bb6a-6b06079f6421
                  items:
                    type: string
                flex_json:
                  type: string
                  description: '形式は<a href="#others-GETapi-v1-flex_json-others">フレックスメッセージで送信するJSONの形式</a>を参照してください。'
                  example: quibusdam
              required:
                - friend_ids
                - flex_json
  '/api/v1/channels/{channel_uuid}/template_actions':
    get:
      summary: テンプレートアクションリストを取得
      operationId: ''
      description: テンプレートアクションリストをぺージネーション形式で取得します。
      parameters:
        -
          in: query
          name: page
          description: ページ数
          example: 1
          required: false
          schema:
            type: integer
            description: ページ数
            example: 1
        -
          in: query
          name: rowsPerPage
          description: 1ページあたりの数
          example: 50
          required: false
          schema:
            type: integer
            description: 1ページあたりの数
            example: 50
        -
          in: query
          name: folder_uuid
          description: フォルダUUID
          example: 08f511d4-058e-41f3-987c-25c34b3ed953
          required: false
          schema:
            type: string
            description: フォルダUUID
            example: 08f511d4-058e-41f3-987c-25c34b3ed953
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n   \"data\": [\n      {\n           \"uuid\": \"c95d0006-5c6d-4b9a-b5f9-2db75bb2a14f\",\n           \"name\": \"テンプレートアクション名\",\n           \"actions\": [\n              {\n                 \"uuid\": \"88e3a7f5-888f-4610-9cd1-49f9352e3c26\",\n                 \"actionable_type\": \"App\\\\Models\\\\ActionTag\",\n                 \"order_number\": 0,\n                 \"actionable\": {\n                     \"action_type\": 1,\n                     \"tags\": [\n                         {\n                             \"name\": \"タグ名\",\n                         }\n                     ],\n                 }\n              }\n           ]\n      }\n   ],\n    \"links\": {\n        \"first\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/template_actions?page=1\",\n        \"last\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/template_actions?page=1\",\n        \"prev\": null,\n        \"next\": null\n   },\n    \"meta\": {\n         \"current_page\": 1,\n         \"from\": 1,\n         \"last_page\": 1,\n         \"links\": [\n             {\n                 \"url\": null,\n                 \"label\": \"&laquo; 前\",\n                 \"active\": false\n             },\n             {\n                 \"url\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/template_actions?page=1\",\n                 \"label\": \"1\",\n                 \"active\": true\n             },\n             {\n                 \"url\": null,\n                 \"label\": \"次 &raquo;\",\n                 \"active\": false\n             }\n         ],\n     \"path\": \"/api/v1/channels/78927a54-3416-337d-8f07-bd2d3e06bf59/template_actions?page=1\",\n     \"per_page\": 50,\n     \"to\": 1,\n     \"total\": 1\n  }"
      tags:
        - TemplateAction
    post:
      summary: テンプレートアクションを作成
      operationId: ''
      description: テンプレートアクションを作成します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n    \"uuid\": \"90c49b60-087e-41fc-896d-a8ce7e7c1533\",\n    \"name\": \"テンプレートアクション名\",\n}"
      tags:
        - TemplateAction
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                folder_uuid:
                  type: string
                  description: フォルダUUID
                  example: 7813356d-645f-4bcb-8d90-3c40da892ca2
                name:
                  type: string
                  description: テンプレートアクション名
                  example: テンプレートアクション名
                template_actions:
                  type: array
                  description: テンプレートアクション
                  example:
                    - quae
                  items:
                    type: string
    parameters:
      -
        in: path
        name: channel_uuid
        description: チャネルUUID
        example: 78927a54-3416-337d-8f07-bd2d3e06bf59
        required: true
        schema:
          type: string
  '/api/v1/template_actions/{templateAction_uuid}':
    get:
      summary: テンプレートアクションを取得
      operationId: ''
      description: 特定のテンプレートアクション情報を取得します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n    \"uuid\": \"90c49b60-087e-41fc-896d-a8ce7e7c1533\",\n    \"name\": \"テンプレートアクション名\",\n}"
      tags:
        - TemplateAction
    put:
      summary: テンプレートアクションを更新
      operationId: ''
      description: テンプレートアクションを更新します。
      parameters: []
      responses:
        200:
          description: ''
          content:
            text/plain:
              schema:
                type: string
                example: "{\n    \"uuid\": \"90c49b60-087e-41fc-896d-a8ce7e7c1533\",\n    \"name\": \"テンプレートアクション名\",\n}"
      tags:
        - TemplateAction
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                folder_uuid:
                  type: string
                  description: フォルダUUID
                  example: 7813356d-645f-4bcb-8d90-3c40da892ca2
                name:
                  type: string
                  description: テンプレートアクション名
                  example: テンプレートアクション名
                template_actions:
                  type: array
                  description: テンプレートアクション
                  example:
                    - adipisci
                  items:
                    type: string
    delete:
      summary: テンプレートアクションを削除
      operationId: ''
      description: テンプレートアクションを削除します。
      parameters: []
      responses: {  }
      tags:
        - TemplateAction
    parameters:
      -
        in: path
        name: templateAction_uuid
        description: テンプレートアクションUUID
        example: 90c49b60-087e-41fc-896d-a8ce7e7c15a4
        required: true
        schema:
          type: string
  '/api/v1/template_actions/{templateAction_uuid}/execute':
    post:
      summary: テンプレートアクションを実行
      operationId: ''
      description: テンプレートアクションを指定されたフレンドに対して実行します。
      parameters: []
      responses: {  }
      tags:
        - TemplateAction
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                friend_ids:
                  type: array
                  description: 友だちUUIDリスト
                  example:
                    - e07ba8c6-f563-440e-a800-316c89f18f19
                    - 9cdf3aca-43f8-48f4-bb6a-6b06079f6421
                  items:
                    type: string
                variable:
                  type: object
                  description: 変数
                  example: []
                  properties:
                    system:
                      type: string
                      description: システム名
                      example: aposuru
                    replace_friends:
                      type: array
                      description: 置換リスト
                      example:
                        - []
                      items:
                        type: object
                        properties:
                          friend_uuid:
                            type: string
                            description: 友だちUUID
                            example: 9cdf3aca-43f8-48f4-bb6a-6b06079f6421
                          replaces:
                            type: array
                            description: ''
                            example:
                              - []
                            items:
                              type: object
                              properties:
                                key:
                                  type: string
                                  description: 置換キー
                                  example: price
                                value:
                                  type: required
                                  description: 置換後の値
                                  example: ¥100
                              required:
                                - key
                        required:
                          - friend_uuid
                options:
                  type: array
                  description: オプション
                  example:
                    - at
                  items:
                    type: string
              required:
                - friend_ids
    parameters:
      -
        in: path
        name: templateAction_uuid
        description: テンプレートアクションUUID
        example: 90c49b60-087e-41fc-896d-a8ce7e7c15a4
        required: true
        schema:
          type: string
tags:
  -
    name: 各Objectの説明
    description: null
  -
    name: Others
    description: null
  -
    name: User
    description: ''
  -
    name: Channel
    description: ''
  -
    name: Folder
    description: ''
  -
    name: Friend
    description: ''
  -
    name: FriendTalk
    description: ''
  -
    name: Message
    description: ''
  -
    name: TemplateAction
    description: ''
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: 'You can retrieve your token by visiting your dashboard and clicking <b>Generate API token</b>.'
security:
  -
    default: []
